attr = DS.attr
App.ProductOrder = DS.Model.extend
  quantity: attr 'number', defaultValue: 1
  product: DS.belongsTo('product')
  table: DS.belongsTo('table')
  increment: ->
    @set('quantity', @get('quantity') + 1)
  total: (-> @get('quantity') * @get('product.price')).property('quantity')
